Subject: Re: bug#20440: 24.4; memory corruption

From: Stefan Monnier <[email-masked]>
Date: Mon, 27 Apr 2015 13:39:21 -0400

> I have seen (again this morning) I wind up with a corrupted buffer.
> It appears a segment of the data is correct, but data has been
> reordered.  I'm looking at a python source file.  For example, in the
> middle of the buffer, it looks like the beginning of the file is
> inserted (sorry I no longer have this buffer and can't be precise).

Next time it happens, could you save the corrupted buffer to some temp
file, and then compare that with the actual file's content, to get
a more precise description of the corruption?

You say it's a Python file.  What modes/packages do you use to edit
those files?  What does `M-: after-change-functions' and `M-:
before-change-functions' say in those buffers?

        Stefan